
'--------------------------------------------------------------
'
' PROGRAM LED-PORT-1.bas  Ukzka ovldn celho portu-osmice vvod
'
' Program, kterm ovldme 8 LED souasn pomoc zpisu binrnho
' nebo hexadecemlnho sla. Dobu blikn v sekundch mnme pkazem Wait.
'--------------------------------------------------------------
'
$regfile = "m8def.dat"                                      'soubor s deklaracemi
$crystal = 12000000                                         'kmitoet osciltoru v Hz

Config Portd = Output                                       'nastav cel port PD (8 pin) jako vstupn


 '-------------- HLAVNI PROGRAM -------------------------------
 Do                                                         'zatek smyky Do-Loop

   Portd = &H55                                             'do PortD pole 0101 0101
   Wait 1                                                   'ekej 1 sekundu
   Portd = &B10101010                                       'do PortD pole 1010 1010
   Wait 1                                                   'ekej 1 sekundu

 Loop                                                       'jdi na Do


 '--------- KONEC HLAVNIHO PROGRAMU ---------------------------
 End



'Popis programu

'$regfile - k pekladai jak typ mikroprocesoru pouijeme
'$crystal - informuje peklada o tom, jak je frekvence osciltoru v mikroprocesoru

'Config PortD = Output
'cel port (8 vvod), na kterm jsou diody, bude nastaven jako vstup,

'V hlavnm programu je nekonen smyka Do-Loop,
'v n se kadou sekundu (wait 1) zmn rove na celm portu D podle zapsan hodnoty.
'H55 je hexadecimln vyjden sla 01010101, nult bit je vpravo, nejni bit je vlevo.
'Zpis do portu se me provst i v binrnm tvaru B10101010, hexadecimln tvar by byl HAA.